Please note: This project is no longer active. The website is kept online for historic purposes only.
If you´re looking for a Linux driver for your Atheros WLAN device, you should continue here .

Ticket #1487 (closed defect: fixed)

Opened 12 years ago

Last modified 12 years ago

Spin lock conflict causing kernal panic after 1d+ of heavy use

Reported by: chrism@quantumsol.com Assigned to:
Priority: major Milestone: version 0.9.5
Component: madwifi: driver Version: v0.9.3.1
Keywords: Cc:
Patch is attached: 0 Pending:

Description (Last modified by mrenzmann)

I have setup a RHEL4 box as an access point (Master mode). Once every 1-3d the box crashes with an error similar to the one below. I don't have a way to knowingly reproduce except in leaving the box on for that long and run a good amount of traffic through it.

Kernel panic - not syncing: /usr/local/src/madwifi-0.9.3.1/net80211/ieee80211_beacon.c:289: spin_lock(/usr/local/src/madwifi-0.9.3.1/net80211/ieee80211.c:ddcb6284) already locked by /usr/local/src/madwifi-0.9.3.1/net80211/ieee80211_power.c/186

Driver: 0.9.3.1

Card: D-Link DWL-G520

Uname: Linux firewall 2.6.9-55.EL #1 Fri Apr 20 16:35:59 EDT 2007 i686 i686 i386 GNU/Linux

Out of dmesg:

Linux version 2.6.9-55.EL (brewbuilder@ls20-bc2-14.build.redhat.com) (gcc version 3.4.6 20060404 (Red Hat 3.4.6-3)) #1 Fri Apr 20 16:35:59 EDT 2007
BIOS-provided physical RAM map:
 BIOS-e820: 0000000000000000 - 000000000009fc00 (usable)
 BIOS-e820: 000000000009fc00 - 00000000000a0000 (reserved)
 BIOS-e820: 00000000000f0000 - 0000000000100000 (reserved)
 BIOS-e820: 0000000000100000 - 000000001ff00000 (usable)
 BIOS-e820: 00000000ffb00000 - 0000000100000000 (reserved)
0MB HIGHMEM available.
511MB LOWMEM available.
Using x86 segment limits to approximate NX protection
zapping low mappings.
On node 0 totalpages: 130816
  DMA zone: 4096 pages, LIFO batch:1
  Normal zone: 126720 pages, LIFO batch:16
  HighMem zone: 0 pages, LIFO batch:1
DMI 2.2 present.
ACPI: Unable to locate RSDP
Allocating PCI resources starting at 20000000 (gap: 1ff00000:dfc00000)
Built 1 zonelists
Kernel command line: ro root=LABEL=/ console=ttyS0,115200n8
Local APIC disabled by BIOS -- you can enable it with "lapic"
mapped APIC to ffffd000 (01407000)
Initializing CPU#0
CPU 0 irqstacks, hard=c0404000 soft=c0403000
PID hash table entries: 2048 (order: 11, 32768 bytes)
Detected 852.109 MHz processor.
Using tsc for high-res timesource
Console: colour VGA+ 80x25
Dentry cache hash table entries: 65536 (order: 6, 262144 bytes)
Inode-cache hash table entries: 32768 (order: 5, 131072 bytes)
Memory: 514076k/523264k available (2157k kernel code, 8656k reserved, 721k data, 168k init, 0k highmem)
Calibrating delay using timer specific routine.. 1705.54 BogoMIPS (lpj=852770)
Security Scaffold v1.0.0 initialized
SELinux:  Initializing.
SELinux:  Starting in permissive mode
There is already a security framework initialized, register_security failed.
selinux_register_security:  Registering secondary module capability
Capability LSM initialized as secondary
Mount-cache hash table entries: 512 (order: 0, 4096 bytes)
CPU: After generic identify, caps: 0383f9ff 00000000 00000000 00000000
CPU: After vendor identify, caps:  0383f9ff 00000000 00000000 00000000
CPU: L1 I cache: 16K, L1 D cache: 16K
CPU: L2 cache: 128K
CPU: After all inits, caps:        0383f1ff 00000000 00000000 00000040
Intel machine check architecture supported.
Intel machine check reporting enabled on CPU#0.
CPU: Intel Celeron (Coppermine) stepping 0a
Enabling fast FPU save and restore... done.
Enabling unmasked SIMD FPU exception support... done.
Checking 'hlt' instruction... OK.
checking if image is initramfs... it is
Freeing initrd memory: 573k freed
NET: Registered protocol family 16
PCI: PCI BIOS revision 2.10 entry at 0xfb160, last bus=1
PCI: Using configuration type 1
mtrr: v2.0 (20020519)
ACPI: Subsystem revision 20040816
ACPI: Interpreter disabled.
Linux Plug and Play Support v0.97 (c) Adam Belay
usbcore: registered new driver usbfs
usbcore: registered new driver hub
PCI: Probing PCI hardware
PCI: Probing PCI hardware (bus 00)
PCI: Transparent bridge - 0000:00:1e.0
PCI: Using IRQ router PIIX/ICH [8086/2410] at 0000:00:1f.0
apm: BIOS version 1.2 Flags 0x07 (Driver version 1.16ac)
audit: initializing netlink socket (disabled)
audit(1186283000.226:1): initialized
Total HugeTLB memory allocated, 0
VFS: Disk quotas dquot_6.5.1
Dquot-cache hash table entries: 1024 (order 0, 4096 bytes)
SELinux:  Registering netfilter hooks
Initializing Cryptographic API
ksign: Installing public key data
Loading keyring
- Added public key 3629C5F482105A7
- User ID: Red Hat, Inc. (Kernel Module GPG key)
pci_hotplug: PCI Hot Plug PCI Core version: 0.5
Real Time Clock Driver v1.12
Linux agpgart interface v0.100 (c) Dave Jones
agpgart: Detected an Intel i810 E Chipset.
agpgart: Maximum main memory to use for agp memory: 439M
agpgart: AGP aperture is 64M @ 0xe0000000
serio: i8042 AUX port at 0x60,0x64 irq 12
serio: i8042 KBD port at 0x60,0x64 irq 1
Serial: 8250/16550 driver $Revision: 1.90 $ 68 ports, IRQ sharing enabled
ttyS0 at I/O 0x3f8 (irq = 4) is a 16550A
ttyS1 at I/O 0x2f8 (irq = 3) is a 16550A
RAMDISK driver initialized: 16 RAM disks of 16384K size 1024 blocksize
divert: not allocating divert_blk for non-ethernet device lo
Uniform Multi-Platform E-IDE driver Revision: 7.00alpha2
ide: Assuming 33MHz system bus speed for PIO modes; override with idebus=xx
ICH: IDE controller at PCI slot 0000:00:1f.1
ICH: chipset revision 2
ICH: not 100% native mode: will probe irqs later
    ide0: BM-DMA at 0xf000-0xf007, BIOS settings: hda:DMA, hdb:pio
    ide1: BM-DMA at 0xf008-0xf00f, BIOS settings: hdc:pio, hdd:pio
Probing IDE interface ide0...
hda: TOSHIBA MK2023GAS, ATA DISK drive
Using cfq io scheduler
ide0 at 0x1f0-0x1f7,0x3f6 on irq 14
Probing IDE interface ide1...
Probing IDE interface ide1...
Probing IDE interface ide2...
Probing IDE interface ide3...
Probing IDE interface ide4...
Probing IDE interface ide5...
hda: max request size: 128KiB
hda: 39070080 sectors (20003 MB), CHS=38760/16/63, UDMA(66)
hda: cache flushes supported
 hda: hda1 hda2 hda3
ide-floppy driver 0.99.newide
usbcore: registered new driver hiddev
usbcore: registered new driver usbhid
drivers/usb/input/hid-core.c: v2.0:USB HID core driver
mice: PS/2 mouse device common for all mice
md: md driver 0.90.0 MAX_MD_DEVS=256, MD_SB_DISKS=27
NET: Registered protocol family 2
IP route cache hash table entries: 4096 (order: 2, 16384 bytes)
TCP established hash table entries: 16384 (order: 5, 131072 bytes)
TCP bind hash table entries: 16384 (order: 6, 458752 bytes)
TCP: Hash tables configured (established 16384 bind 16384)
Initializing IPsec netlink socket
NET: Registered protocol family 1
NET: Registered protocol family 17
Freeing unused kernel memory: 168k freed
EXT3-fs: INFO: recovery required on readonly filesystem.
EXT3-fs: write access will be enabled during recovery.
kjournald starting.  Commit interval 5 seconds
EXT3-fs: recovery complete.
EXT3-fs: mounted filesystem with ordered data mode.
security:  3 users, 4 roles, 355 types, 26 bools
security:  55 classes, 22610 rules
SELinux:  Completing initialization.
SELinux:  Setting up existing superblocks.
SELinux: initialized (dev hda2, type ext3), uses xattr
SELinux: initialized (dev tmpfs, type tmpfs), uses transition SIDs
SELinux: initialized (dev selinuxfs, type selinuxfs), uses genfs_contexts
SELinux: initialized (dev mqueue, type mqueue), not configured for labeling
SELinux: initialized (dev hugetlbfs, type hugetlbfs), uses genfs_contexts
SELinux: initialized (dev devpts, type devpts), uses transition SIDs
SELinux: initialized (dev eventpollfs, type eventpollfs), uses genfs_contexts
SELinux: initialized (dev pipefs, type pipefs), uses task SIDs
SELinux: initialized (dev tmpfs, type tmpfs), uses transition SIDs
SELinux: initialized (dev futexfs, type futexfs), uses genfs_contexts
SELinux: initialized (dev sockfs, type sockfs), uses task SIDs
SELinux: initialized (dev proc, type proc), uses genfs_contexts
SELinux: initialized (dev bdev, type bdev), uses genfs_contexts
SELinux: initialized (dev rootfs, type rootfs), uses genfs_contexts
SELinux: initialized (dev sysfs, type sysfs), uses genfs_contexts
SELinux: initialized (dev usbfs, type usbfs), uses genfs_contexts
SCSI subsystem initialized
libata version 2.00 loaded.
inserting floppy driver for 2.6.9-55.EL
floppy0: no floppy controllers found
e100: Intel(R) PRO/100 Network Driver, 3.5.10-k2-NAPI
e100: Copyright(c) 1999-2005 Intel Corporation
PCI: Found IRQ 11 for device 0000:01:00.0
PCI: Sharing IRQ 11 with 0000:00:01.0
divert: allocating divert_blk for eth0
e100: eth0: e100_probe: addr 0xe5210000, irq 11, MAC addr 00:01:4E:00:D7:46
PCI: Found IRQ 12 for device 0000:01:01.0
PCI: Sharing IRQ 12 with 0000:00:1f.3
divert: allocating divert_blk for eth1
e100: eth1: e100_probe: addr 0xe5211000, irq 12, MAC addr 00:01:4E:00:D7:47
ath_hal: module license 'Proprietary' taints kernel.
ath_hal: 0.9.18.0 (AR5210, AR5211, AR5212, RF5111, RF5112, RF2413, RF5413)
wlan: 0.8.4.2 (0.9.3.1)
ath_pci: 0.9.4.5 (0.9.3.1)
PCI: Found IRQ 10 for device 0000:01:03.0
ath_rate_sample: 1.2 (0.9.3.1)
divert: not allocating divert_blk for non-ethernet device wifi0
wifi0: 11b rates: 1Mbps 2Mbps 5.5Mbps 11Mbps
wifi0: 11g rates: 1Mbps 2Mbps 5.5Mbps 11Mbps 6Mbps 9Mbps 12Mbps 18Mbps 24Mbps 36Mbps 48Mbps 54Mbps
wifi0: turboG rates: 6Mbps 12Mbps 18Mbps 24Mbps 36Mbps 48Mbps 54Mbps
wifi0: H/W encryption support: WEP AES AES_CCM TKIP
wifi0: mac 7.9 phy 4.5 radio 5.6
wifi0: Use hw queue 1 for WME_AC_BE traffic
wifi0: Use hw queue 0 for WME_AC_BK traffic
wifi0: Use hw queue 2 for WME_AC_VI traffic
wifi0: Use hw queue 3 for WME_AC_VO traffic
wifi0: Use hw queue 8 for CAB traffic
wifi0: Use hw queue 9 for beacons
divert: allocating divert_blk for ath0
wifi0: Atheros 5212: mem=0xe5200000, irq=10
hw_random: RNG not detected
USB Universal Host Controller Interface driver v2.2
PCI: Found IRQ 5 for device 0000:00:1f.2
uhci_hcd 0000:00:1f.2: UHCI Host Controller
PCI: Setting latency timer of device 0000:00:1f.2 to 64
uhci_hcd 0000:00:1f.2: irq 5, io base 0000d000
SELinux: initialized (dev usbdevfs, type usbdevfs), uses genfs_contexts
uhci_hcd 0000:00:1f.2: new USB bus registered, assigned bus number 1
hub 1-0:1.0: USB hub found
hub 1-0:1.0: 2 ports detected
md: Autodetecting RAID arrays.
md: autorun ...
md: ... autorun DONE.
EXT3 FS on hda2, internal journal
device-mapper: 4.5.5-ioctl (2006-12-01) initialised: dm-devel@redhat.com
kjournald starting.  Commit interval 5 seconds
EXT3 FS on hda1, internal journal
EXT3-fs: mounted filesystem with ordered data mode.
SELinux: initialized (dev hda1, type ext3), uses xattr
SELinux: initialized (dev tmpfs, type tmpfs), uses transition SIDs
Adding 1486004k swap on /dev/hda3.  Priority:-1 extents:1
SELinux: initialized (dev binfmt_misc, type binfmt_misc), uses genfs_contexts
parport0: PC-style at 0x378 [PCSPP,TRISTATE]
ip_tables: (C) 2000-2002 Netfilter core team
ip_conntrack version 2.1 (4088 buckets, 32704 max) - 356 bytes per conntrack
divert: freeing divert_blk for ath0
divert: allocating divert_blk for ath0
e100: eth0: e100_watchdog: link up, 100Mbps, full-duplex
e100: eth1: e100_watchdog: link up, 100Mbps, full-duplex
NET: Registered protocol family 8
NET: Registered protocol family 20
Bridge firewalling registered
divert: allocating divert_blk for br0
device eth0 entered promiscuous mode
device ath0 entered promiscuous mode
e100: eth0: e100_watchdog: link up, 100Mbps, full-duplex
br0: port 2(ath0) entering learning state
br0: port 1(eth0) entering learning state
SELinux: initialized (dev rpc_pipefs, type rpc_pipefs), uses genfs_contexts
i2c /dev entries driver
NET: Registered protocol family 10
Disabled Privacy Extensions on device c0386e20(lo)
IPv6 over IPv4 tunneling driver
divert: not allocating divert_blk for non-ethernet device sit0
parport0: PC-style at 0x378 [PCSPP,TRISTATE]
lp0: using parport0 (polling).
lp0: console ready
br0: topology change detected, propagating
br0: port 2(ath0) entering forwarding state
br0: topology change detected, propagating
br0: port 1(eth0) entering forwarding state
ath0: no IPv6 routers present
br0: no IPv6 routers present
eth1: no IPv6 routers present
eth0: no IPv6 routers present

Stack trace:

[root@firewall ~]# [root@firewall ~]# Kernel panic - not syncing: /usr/local/src/madwifi-0.9.3.1/net80211/ieee80211_beacon.c:289: spin_lock(/usr/local/src/madwifi-0.9.3.1/net80211/ieee80211.c:ddcb6284) already locked by /usr/local/src/madwifi-0.9.3.1/net80211/ieee80211_power.c/186

 Badness in panic at kernel/panic.c:118
 [<c0123ec4>] panic+0x135/0x142
 [<e0be3583>] ieee80211_beacon_update+0x7f/0x980 [wlan]
 [<e0924ab5>] ath_beacon_generate+0xff/0x3fe [ath_pci]
 [<e0924f3a>] ath_beacon_send+0x186/0x319 [ath_pci]
 [<e09210e9>] ath_intr+0x136/0x27a [ath_pci]
 [<c0107f00>] handle_IRQ_event+0x25/0x4f
 [<c01088ce>] do_IRQ+0x18a/0x2bf
 =======================
 [<c031b3e4>] common_interrupt+0x18/0x20
 [<e0bf0bf5>] ieee80211_set_tim+0xfd/0x1b8 [wlan]
 [<e0bf1036>] ieee80211_node_pwrsave+0xec/0x27c [wlan]
 [<e0be505b>] ieee80211_input+0x836/0xe18 [wlan]
 [<c031b3e4>] common_interrupt+0x18/0x20
 [<e0926b2b>] ath_rx_tasklet+0x315/0x589 [ath_pci]
 [<c0129c96>] tasklet_action+0x3a/0x56
 [<c0129abd>] __do_softirq+0x35/0x79
 [<c0109446>] do_softirq+0x46/0x4d
 =======================
 [<c01089f7>] do_IRQ+0x2b3/0x2bf
 [<c031b3e4>] common_interrupt+0x18/0x20
 [<c010403b>] default_idle+0x23/0x29
 [<c0117698>] apm_cpu_idle+0xf0/0x128
 [<c010408f>] cpu_idle+0x1f/0x34
 [<c03d1700>] start_kernel+0x214/0x216
Badness in i8042_panic_blink at drivers/input/serio/i8042.c:987
 [<c024b45a>] i8042_panic_blink+0xc0/0x1a0
 [<c0123e86>] panic+0xf7/0x142
 [<e0be3583>] ieee80211_beacon_update+0x7f/0x980 [wlan]
 [<e0924ab5>] ath_beacon_generate+0xff/0x3fe [ath_pci]
 [<e0924f3a>] ath_beacon_send+0x186/0x319 [ath_pci]
 [<e09210e9>] ath_intr+0x136/0x27a [ath_pci]
 [<c0107f00>] handle_IRQ_event+0x25/0x4f
 [<c01088ce>] do_IRQ+0x18a/0x2bf
 =======================
 [<c031b3e4>] common_interrupt+0x18/0x20
 [<e0bf0bf5>] ieee80211_set_tim+0xfd/0x1b8 [wlan]
 [<e0bf1036>] ieee80211_node_pwrsave+0xec/0x27c [wlan]
 [<e0be505b>] ieee80211_input+0x836/0xe18 [wlan]
 [<c031b3e4>] common_interrupt+0x18/0x20
 [<e0926b2b>] ath_rx_tasklet+0x315/0x589 [ath_pci]
 [<c0129c96>] tasklet_action+0x3a/0x56
 [<c0129abd>] __do_softirq+0x35/0x79
 [<c0109446>] do_softirq+0x46/0x4d
 =======================
 [<c01089f7>] do_IRQ+0x2b3/0x2bf
 [<c031b3e4>] common_interrupt+0x18/0x20
 [<c010403b>] default_idle+0x23/0x29
 [<c0117698>] apm_cpu_idle+0xf0/0x128
 [<c010408f>] cpu_idle+0x1f/0x34
 [<c03d1700>] start_kernel+0x214/0x216
Badness in i8042_panic_blink at drivers/input/serio/i8042.c:990
 [<c024b4cf>] i8042_panic_blink+0x135/0x1a0
 [<c0123e86>] panic+0xf7/0x142
 [<e0be3583>] ieee80211_beacon_update+0x7f/0x980 [wlan]
 [<e0924ab5>] ath_beacon_generate+0xff/0x3fe [ath_pci]
 [<e0924f3a>] ath_beacon_send+0x186/0x319 [ath_pci]
 [<e09210e9>] ath_intr+0x136/0x27a [ath_pci]
 [<c0107f00>] handle_IRQ_event+0x25/0x4f
 [<c01088ce>] do_IRQ+0x18a/0x2bf
 =======================
 [<c031b3e4>] common_interrupt+0x18/0x20
 [<e0bf0bf5>] ieee80211_set_tim+0xfd/0x1b8 [wlan]
 [<e0bf1036>] ieee80211_node_pwrsave+0xec/0x27c [wlan]
 [<e0be505b>] ieee80211_input+0x836/0xe18 [wlan]
 [<c031b3e4>] common_interrupt+0x18/0x20
 [<e0926b2b>] ath_rx_tasklet+0x315/0x589 [ath_pci]
 [<c0129c96>] tasklet_action+0x3a/0x56
 [<c0129abd>] __do_softirq+0x35/0x79
 [<c0109446>] do_softirq+0x46/0x4d
 =======================
 [<c01089f7>] do_IRQ+0x2b3/0x2bf
 [<c031b3e4>] common_interrupt+0x18/0x20
 [<c010403b>] default_idle+0x23/0x29
 [<c0117698>] apm_cpu_idle+0xf0/0x128
 [<c010408f>] cpu_idle+0x1f/0x34
 [<c03d1700>] start_kernel+0x214/0x216
Badness in i8042_panic_blink at drivers/input/serio/i8042.c:992
 [<c024b522>] i8042_panic_blink+0x188/0x1a0
 [<c0123e86>] panic+0xf7/0x142
 [<e0be3583>] ieee80211_beacon_update+0x7f/0x980 [wlan]
 [<e0924ab5>] ath_beacon_generate+0xff/0x3fe [ath_pci]
 [<e0924f3a>] ath_beacon_send+0x186/0x319 [ath_pci]
 [<e09210e9>] ath_intr+0x136/0x27a [ath_pci]
 [<c0107f00>] handle_IRQ_event+0x25/0x4f
 [<c01088ce>] do_IRQ+0x18a/0x2bf
 =======================
 [<c031b3e4>] common_interrupt+0x18/0x20
 [<e0bf0bf5>] ieee80211_set_tim+0xfd/0x1b8 [wlan]
 [<e0bf1036>] ieee80211_node_pwrsave+0xec/0x27c [wlan]
 [<e0be505b>] ieee80211_input+0x836/0xe18 [wlan]
 [<c031b3e4>] common_interrupt+0x18/0x20
 [<e0926b2b>] ath_rx_tasklet+0x315/0x589 [ath_pci]
 [<c0129c96>] tasklet_action+0x3a/0x56
 [<c0129abd>] __do_softirq+0x35/0x79
 [<c0109446>] do_softirq+0x46/0x4d
 =======================
 [<c01089f7>] do_IRQ+0x2b3/0x2bf
 [<c031b3e4>] common_interrupt+0x18/0x20
 [<c010403b>] default_idle+0x23/0x29
 [<c0117698>] apm_cpu_idle+0xf0/0x128
 [<c010408f>] cpu_idle+0x1f/0x34
 [<c03d1700>] start_kernel+0x214/0x216

 Badness in panic at kernel/panic.c:118
 [<c0123ec4>] panic+0x135/0x142
 [<e0be3583>] ieee80211_beacon_update+0x7f/0x980 [wlan]
 [<e0924ab5>] ath_beacon_generate+0xff/0x3fe [ath_pci]
 [<e0924f3a>] ath_beacon_send+0x186/0x319 [ath_pci]
 [<e09210e9>] ath_intr+0x136/0x27a [ath_pci]
 [<c0107f00>] handle_IRQ_event+0x25/0x4f
 [<c01088ce>] do_IRQ+0x18a/0x2bf
 =======================
 [<c031b3e4>] common_interrupt+0x18/0x20
 [<e0bf0bf5>] ieee80211_set_tim+0xfd/0x1b8 [wlan]
 [<e0bf1036>] ieee80211_node_pwrsave+0xec/0x27c [wlan]
 [<e0be505b>] ieee80211_input+0x836/0xe18 [wlan]
 [<c031b3e4>] common_interrupt+0x18/0x20
 [<e0926b2b>] ath_rx_tasklet+0x315/0x589 [ath_pci]
 [<c0129c96>] tasklet_action+0x3a/0x56
 [<c0129abd>] __do_softirq+0x35/0x79
 [<c0109446>] do_softirq+0x46/0x4d
 =======================
 [<c01089f7>] do_IRQ+0x2b3/0x2bf
 [<c031b3e4>] common_interrupt+0x18/0x20
 [<c010403b>] default_idle+0x23/0x29
 [<c0117698>] apm_cpu_idle+0xf0/0x128
 [<c010408f>] cpu_idle+0x1f/0x34
 [<c03d1700>] start_kernel+0x214/0x216
Badness in i8042_panic_blink at drivers/input/serio/i8042.c:987
 [<c024b45a>] i8042_panic_blink+0xc0/0x1a0
 [<c0123e86>] panic+0xf7/0x142
 [<e0be3583>] ieee80211_beacon_update+0x7f/0x980 [wlan]
 [<e0924ab5>] ath_beacon_generate+0xff/0x3fe [ath_pci]
 [<e0924f3a>] ath_beacon_send+0x186/0x319 [ath_pci]
 [<e09210e9>] ath_intr+0x136/0x27a [ath_pci]
 [<c0107f00>] handle_IRQ_event+0x25/0x4f
 [<c01088ce>] do_IRQ+0x18a/0x2bf
 =======================
 [<c031b3e4>] common_interrupt+0x18/0x20
 [<e0bf0bf5>] ieee80211_set_tim+0xfd/0x1b8 [wlan]
 [<e0bf1036>] ieee80211_node_pwrsave+0xec/0x27c [wlan]
 [<e0be505b>] ieee80211_input+0x836/0xe18 [wlan]
 [<c031b3e4>] common_interrupt+0x18/0x20
 [<e0926b2b>] ath_rx_tasklet+0x315/0x589 [ath_pci]
 [<c0129c96>] tasklet_action+0x3a/0x56
 [<c0129abd>] __do_softirq+0x35/0x79
 [<c0109446>] do_softirq+0x46/0x4d
 =======================
 [<c01089f7>] do_IRQ+0x2b3/0x2bf
 [<c031b3e4>] common_interrupt+0x18/0x20
 [<c010403b>] default_idle+0x23/0x29
 [<c0117698>] apm_cpu_idle+0xf0/0x128
 [<c010408f>] cpu_idle+0x1f/0x34
 [<c03d1700>] start_kernel+0x214/0x216
Badness in i8042_panic_blink at drivers/input/serio/i8042.c:990
 [<c024b4cf>] i8042_panic_blink+0x135/0x1a0
 [<c0123e86>] panic+0xf7/0x142
 [<e0be3583>] ieee80211_beacon_update+0x7f/0x980 [wlan]
 [<e0924ab5>] ath_beacon_generate+0xff/0x3fe [ath_pci]
 [<e0924f3a>] ath_beacon_send+0x186/0x319 [ath_pci]
 [<e09210e9>] ath_intr+0x136/0x27a [ath_pci]
 [<c0107f00>] handle_IRQ_event+0x25/0x4f
 [<c01088ce>] do_IRQ+0x18a/0x2bf
 =======================
 [<c031b3e4>] common_interrupt+0x18/0x20
 [<e0bf0bf5>] ieee80211_set_tim+0xfd/0x1b8 [wlan]
 [<e0bf1036>] ieee80211_node_pwrsave+0xec/0x27c [wlan]
 [<e0be505b>] ieee80211_input+0x836/0xe18 [wlan]
 [<c031b3e4>] common_interrupt+0x18/0x20
 [<e0926b2b>] ath_rx_tasklet+0x315/0x589 [ath_pci]
 [<c0129c96>] tasklet_action+0x3a/0x56
 [<c0129abd>] __do_softirq+0x35/0x79
 [<c0109446>] do_softirq+0x46/0x4d
 =======================
 [<c01089f7>] do_IRQ+0x2b3/0x2bf
 [<c031b3e4>] common_interrupt+0x18/0x20
 [<c010403b>] default_idle+0x23/0x29
 [<c0117698>] apm_cpu_idle+0xf0/0x128
 [<c010408f>] cpu_idle+0x1f/0x34
 [<c03d1700>] start_kernel+0x214/0x216
Badness in i8042_panic_blink at drivers/input/serio/i8042.c:992
 [<c024b522>] i8042_panic_blink+0x188/0x1a0
 [<c0123e86>] panic+0xf7/0x142
 [<e0be3583>] ieee80211_beacon_update+0x7f/0x980 [wlan]
 [<e0924ab5>] ath_beacon_generate+0xff/0x3fe [ath_pci]
 [<e0924f3a>] ath_beacon_send+0x186/0x319 [ath_pci]
 [<e09210e9>] ath_intr+0x136/0x27a [ath_pci]
 [<c0107f00>] handle_IRQ_event+0x25/0x4f
 [<c01088ce>] do_IRQ+0x18a/0x2bf
 =======================
 [<c031b3e4>] common_interrupt+0x18/0x20
 [<e0bf0bf5>] ieee80211_set_tim+0xfd/0x1b8 [wlan]
 [<e0bf1036>] ieee80211_node_pwrsave+0xec/0x27c [wlan]
 [<e0be505b>] ieee80211_input+0x836/0xe18 [wlan]
 [<c031b3e4>] common_interrupt+0x18/0x20
 [<e0926b2b>] ath_rx_tasklet+0x315/0x589 [ath_pci]
 [<c0129c96>] tasklet_action+0x3a/0x56
 [<c0129abd>] __do_softirq+0x35/0x79
 [<c0109446>] do_softirq+0x46/0x4d
 =======================
 [<c01089f7>] do_IRQ+0x2b3/0x2bf
 [<c031b3e4>] common_interrupt+0x18/0x20
 [<c010403b>] default_idle+0x23/0x29
 [<c0117698>] apm_cpu_idle+0xf0/0x128
 [<c010408f>] cpu_idle+0x1f/0x34
 [<c03d1700>] start_kernel+0x214/0x216

Change History

08/05/07 10:41:33 changed by mrenzmann

  • description changed.

08/05/07 14:17:59 changed by mentor

  • priority changed from minor to major.

08/06/07 02:21:15 changed by mentor

Would you confirm that you can reproduce this with trunk? The locking primitives used in the referenced functions have changed in it...

08/20/07 16:21:26 changed by mentor

  • status changed from new to closed.
  • resolution set to fixed.
  • milestone set to version 0.9.4.

02/11/08 06:21:57 changed by mrenzmann

  • milestone changed from version 0.9.4 to version 0.9.5.